Create a new filter view
POST
/v1/filter_views
const url = 'https://api.adversarial.com/api/v1/filter_views';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"filter":"example","filtered_table":"risks","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.adversarial.com/api/v1/filter_views \ --header 'Content-Type: application/json' \ --data '{ "filter": "example", "filtered_table": "risks", "name": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
filter
required
filtered_table
required
Used in queries to filter what kind of risks to return
string
name
required
string
Responses
Section titled “Responses”Filter view created
Media typeapplication/json
object
filter
required
object
filtered_table
required
string
id
required
string format: uuid
name
required
string
shared
required
Whether the owner has shared this view with their organization.
boolean
user_id
required
string format: uuid
Example
{ "filtered_table": "risks"}Invalid request